[arch-commits] Commit in bladeenc/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 29 01:59:48 EDT 2009


    Date: Wednesday, April 29, 2009 @ 01:59:48
  Author: eric
Revision: 36974

upgpkg: bladeenc 0.94.2-2
    Updated url, Fixed license, Put source on local ftp, Added doc

Modified:
  bladeenc/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-29 05:58:02 UTC (rev 36973)
+++ PKGBUILD	2009-04-29 05:59:48 UTC (rev 36974)
@@ -3,18 +3,19 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 pkgname=bladeenc
 pkgver=0.94.2
-pkgrel=1
+pkgrel=2
 pkgdesc="A freeware MP3 encoder"
 arch=('i686' 'x86_64')
-url="http://bladeenc.mp3.no/"
-license=('GPL2')
+url="http://blogninja.com/doc/bladeenc-doc/html/"
+license=('LGPL')
 depends=('glibc')
-source=(http://bladeenc.mp3.no/source/$pkgname-$pkgver-src-stable.tar.gz)
+source=(ftp://ftp.archlinux.org/other/bladeenc/$pkgname-$pkgver-src-stable.tar.gz)
 md5sums=('9b9f6eafe1637a48a67f0a0f8f6e71ad')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 bladeenc.html $pkgdir/usr/share/doc/bladeenc/bladeenc.html
 }



More information about the arch-commits mailing list